<template>
	<div class="n-input">
		<div class="n-input-box">
			<slot name="prepend-icon"/>
			<input
				:placeholder="placeholder"
				v-model="dataValue"
			>
			<div class="n-icon n-arrow">
				<i class="n-arrow-up" @click="onIncrement"></i>
				<i class="n-arrow-down" @click="onDecrement"></i>
			</div>
		</div>
	</div>
</template>
<script lang="js" src="./index.js"></script>
<style scoped lang="scss" src="./styles.scss"></style>
